iwlwifi firmware crashes intel 9260ac [8086:2526] subsystem [8086:0010]

Bug #1848921 reported by otheos on 2019-10-20
134
This bug affects 25 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 19.10
Kernel 5.3.0-18-generic
Hardware: Thinkpad T460p (also tested on T480s) with Intel 9260ac wifi card.

Expected: Wifi connects, uploads/downloads as normal

Symptom: Wifi connects, as soon as an upload/download (any heavy traffic) start, the system comes to a crawl, becomes barely usable, and I end up opening a prompt to reboot.

The system is unusable. This happens even with the Live USB version.

The only solution I found was to download a different (newer) firmware.
Latest version from: https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi

This is iwlwifi-9260-th-b0-jf-b0-34.618819.0.tgz

I then manually copy the contained firmware to /lib/firmware, remove all other versions and make a link to iwlwifi-9260-th-b0-jf-46.ucode that the kernel expects to load.

This completely resolves the issue.

This is the carsh log (Thinkpad T460p, but identical to T480s, all fresh installs):
--------------------------------
Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: Error sending SCAN_CFG_CMD: time out after 2000ms.
Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: Current CMD queue read_ptr 64 write_ptr 65
Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: HW error, resetting before reading
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000080, count: 609870115
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Loaded firmware version: 46.6bf1df06.0
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x36BC8FCF | ADVANCED_SYSASSERT
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x28A5819E | trm_hw_status0
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x77944CFA | trm_hw_status1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x018004F5 | branchlink2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xEBCFC5F1 | interruptlink1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x07206003 | interruptlink2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xE956CDF4 | data1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x7D692903 | data2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xAD22F469 | data3
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x1040C00E | beacon time
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x0FF6877F | tsf low
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x82686A2F | tsf hi
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xB715D7B2 | time gp1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x5EC31049 | time gp2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xF7FD7FF6 | uCode revision type
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x31225172 | uCode version major
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xFD1DB8B4 | uCode version minor
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xC000F415 | hw version
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x7F9AFDD4 | board version
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xD5FD2F0F | hcmd
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x8F81D049 | isr0
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xEDDFDA7B | isr1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xD9409AD7 | isr2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x5AF7DA77 | isr3
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x400240BE | isr4
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xEEF6DF6B | last cmd Id
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x40528540 | wait_event
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xB9BBD6FD | l2p_control
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xC21B6142 | l2p_duration
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x7BDF6F9E | l2p_mhvalid
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x190AF41B | l2p_addr_match
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x7FF297FF | lmpm_pmg_sel
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x5248C715 | timestamp
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xBBB939AF | flow_handler
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000080, count: -4391457
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x5350C91F | ADVANCED_SYSASSERT
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x1FFE5437 | umac branchlink1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x58B9A82E | umac branchlink2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xF5F57FFD | umac interruptlink1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x8930114B | umac interruptlink2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x54F6FE1B | umac data1
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xB20BC322 | umac data2
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xC9DCBDEE | umac data3
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xC2E1113A | umac major
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xB6C711F3 | umac minor
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x8A0913C5 | frame pointer
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x97D70D49 | stack pointer
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x95B86F30 | last host cmd
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xAF1FF7F9 | isr status reg
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Fseq Registers:
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_ERROR_CODE
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_TOP_INIT_VERSION
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_CNVIO_INIT_VERSION
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_OTP_VERSION
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_TOP_CONTENT_VERSION
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_ALIVE_TOKEN
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_CNVI_ID
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | FSEQ_CNVR_ID
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVI_AUX_MISC_CHIP
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVR_AUX_MISC_CHIP
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Collecting data: trigger 2 fired.
Oct 20 01:51:16 weywot kernel: ieee80211 phy0: Hardware restart was requested
Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Queue 0 is inactive on fifo 2 and stuck for 2500 ms. SW [64, 65] HW [162, 162] FH TRB=0x0a5a5a5a2
Oct 20 01:51:16 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=6210 end=6211) time 3291 us, min 1430, max 14
Oct 20 01:51:22 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=6583 end=6584) time 2981 us, min 1430, max 14
Oct 20 01:51:31 weywot kernel: psmouse serio1: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Queue 11 is inactive on fifo 2 and stuck for 10000 ms. SW [92, 111] HW [162, 162] FH TRB=0x0a5a5a5a2
Oct 20 01:51:42 weywot kernel: watchdog: BUG: soft lockup - CPU#2 stuck for 23s! [kworker/2:3:571]
Oct 20 01:51:42 weywot kernel: Modules linked in: hid_generic ccm uhid hid algif_hash algif_skcipher af_alg rfcomm cmac bnep nls_iso8859_1 intel_rapl_msr inte
Oct 20 01:51:42 weywot kernel: ppdev lp parport sunrpc ip_tables x_tables autofs4 mmc_block rtsx_pci_sdmmc nvme e1000e psmouse nvme_core rtsx_pci i2c_i801 wm
Oct 20 01:51:42 weywot kernel: CPU: 2 PID: 571 Comm: kworker/2:3 Not tainted 5.3.0-18-generic #19-Ubuntu
Oct 20 01:51:42 weywot kernel: Hardware name: LENOVO 20FW003KMC/20FW003KMC, BIOS R07ET88W (2.28 ) 01/18/2019
Oct 20 01:51:42 weywot kernel: Workqueue: events iwl_fw_error_dump_wk [iwlwifi]
Oct 20 01:51:42 weywot kernel: RIP: 0010:_raw_spin_unlock_irqrestore+0x15/0x20
Oct 20 01:51:42 weywot kernel: Code: 00 e9 78 ff ff ff 90 90 90 90 90 90 90 90 90 90 90 90 90 90 90 0f 1f 44 00 00 55 48 89 e5 c6 07 00 0f 1f 40 00 48 89 f7 5
Oct 20 01:51:42 weywot kernel: RSP: 0018:ffffaff7c0417cb8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
Oct 20 01:51:42 weywot kernel: RAX: ffffffffc0a73480 RBX: ffff8eaed5cf0018 RCX: 0000000000000003
Oct 20 01:51:42 weywot kernel: RDX: 0000000008040005 RSI: 0000000000000246 RDI: 0000000000000246
Oct 20 01:51:42 weywot kernel: RBP: ffffaff7c0417cb8 R08: 0000000000003a98 R09: 0000000000000011
Oct 20 01:51:42 weywot kernel: R10: fffff7cd1ec61788 R11: 000000000000595a R12: 00000000fffffff7
Oct 20 01:51:42 weywot kernel: R13: ffffaff7c0417cf0 R14: 0000000000400000 R15: ffff8eaed51e2cb8
Oct 20 01:51:42 weywot kernel: FS: 0000000000000000(0000) GS:ffff8eaee1280000(0000) knlGS:0000000000000000
Oct 20 01:51:42 weywot kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Oct 20 01:51:42 weywot kernel: CR2: 00007f53420eff9d CR3: 00000003d480a005 CR4: 00000000003606e0
Oct 20 01:51:42 weywot kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 20 01:51:42 weywot kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Oct 20 01:51:42 weywot kernel: Call Trace:
Oct 20 01:51:42 weywot kernel: iwl_trans_pcie_release_nic_access+0x61/0x70 [iwlwifi]
Oct 20 01:51:42 weywot kernel: iwl_trans_pcie_read_mem+0x94/0xc0 [iwlwifi]
Oct 20 01:51:42 weywot kernel: iwl_fw_dump_mem.isra.0.part.0+0x50/0x90 [iwlwifi]
Oct 20 01:51:42 weywot kernel: iwl_fw_error_dump_file.isra.0+0x436/0xf80 [iwlwifi]
Oct 20 01:51:42 weywot kernel: iwl_fw_dbg_collect_sync+0x35c/0x910 [iwlwifi]
Oct 20 01:51:42 weywot kernel: iwl_fw_error_dump_wk+0x59/0x80 [iwlwifi]
Oct 20 01:51:42 weywot kernel: process_one_work+0x1db/0x380
Oct 20 01:51:42 weywot kernel: worker_thread+0x4d/0x400
Oct 20 01:51:42 weywot kernel: kthread+0x104/0x140
Oct 20 01:51:42 weywot kernel: ? process_one_work+0x380/0x380
Oct 20 01:51:42 weywot kernel: ? kthread_park+0x80/0x80
Oct 20 01:51:42 weywot kernel: ret_from_fork+0x1f/0x40
Oct 20 01:51:42 weywot kernel: psmouse serio1: resync failed, issuing reconnect request
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failed to get the temperature (err=-5)
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failed to get the temperature (err=-5)
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failed to get the temperature (err=-5)
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failed to get the temperature (err=-5)
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failed to get the temperature (err=-5)
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Failing on timeout while stopping DMA channel 8 [0xa5a5a5a2]
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
Oct 20 01:51:42 weywot kernel: iwlwifi 0000:03:00.0: FW already configured (0) - re-configuring
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-REGDOM-CHANGE init=DRIVER type=WORLD
Oct 20 01:51:42 weywot kernel: wlp3s0: deauthenticated from b0:39:56:7f:1a:ad (Reason: 6=CLASS2_FRAME_FROM_NONAUTH_STA)
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-SIGNAL-CHANGE above=1 signal=0 noise=9999 txrate=0
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-DISCONNECTED bssid=b0:39:56:7f:1a:ad reason=6
Oct 20 01:51:42 weywot NetworkManager[842]: <warn> [1571532702.8609] sup-iface[0x55e904730920,wlp3s0]: connection disconnected (reason 6)
Oct 20 01:51:42 weywot wpa_supplicant[867]: dbus: wpa_dbus_property_changed: no property SessionLength in object /fi/w1/wpa_supplicant1/Interfaces/0
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: SME: Trying to authenticate with b0:39:56:7f:1a:ad (SSID='Sol_5GHz' freq=5220 MHz)
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.8932] device (wlp3s0): supplicant interface state: completed -> authenticating
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.8933] device (p2p-dev-wlp3s0): supplicant management interface state: completed -> authenticat
Oct 20 01:51:42 weywot kernel: psmouse serio1: synaptics: queried max coordinates: x [..5676], y [..4758]
Oct 20 01:51:42 weywot kernel: wlp3s0: authenticate with b0:39:56:7f:1a:ad
Oct 20 01:51:42 weywot kernel: wlp3s0: send auth to b0:39:56:7f:1a:ad (try 1/3)
Oct 20 01:51:42 weywot kernel: psmouse serio1: synaptics: queried min coordinates: x [1266..], y [1096..]
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: Trying to associate with b0:39:56:7f:1a:ad (SSID='Sol_5GHz' freq=5220 MHz)
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9493] device (wlp3s0): supplicant interface state: authenticating -> associating
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9493] device (p2p-dev-wlp3s0): supplicant management interface state: authenticating -> associ
Oct 20 01:51:42 weywot kernel: wlp3s0: authenticated
Oct 20 01:51:42 weywot kernel: wlp3s0: associate with b0:39:56:7f:1a:ad (try 1/3)
Oct 20 01:51:42 weywot kernel: wlp3s0: RX AssocResp from b0:39:56:7f:1a:ad (capab=0x1411 status=0 aid=6)
Oct 20 01:51:42 weywot kernel: wlp3s0: associated
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: Associated with b0:39:56:7f:1a:ad
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9649] device (wlp3s0): supplicant interface state: associating -> associated
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9650] device (p2p-dev-wlp3s0): supplicant management interface state: associating -> associate
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9718] device (wlp3s0): supplicant interface state: associated -> 4-way handshake
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9719] device (p2p-dev-wlp3s0): supplicant management interface state: associated -> 4-way hand
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: WPA: Key negotiation completed with b0:39:56:7f:1a:ad [PTK=CCMP GTK=CCMP]
Oct 20 01:51:42 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-CONNECTED - Connection to b0:39:56:7f:1a:ad completed [id=0 id_str=]
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9858] device (wlp3s0): supplicant interface state: 4-way handshake -> completed
Oct 20 01:51:42 weywot NetworkManager[842]: <info> [1571532702.9872] device (p2p-dev-wlp3s0): supplicant management interface state: 4-way handshake -> compl
Oct 20 01:51:43 weywot wpa_supplicant[867]: wlp3s0: CTRL-EVENT-SIGNAL-CHANGE above=1 signal=-43 noise=9999 txrate=1733300
Oct 20 01:51:43 weywot kernel: wlp3s0: Limiting TX power to 27 (30 - 3) dBm as advertised by b0:39:56:7f:1a:ad
---------------------------------
End of log
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: otheos 1236 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 19.10
InstallationDate: Installed on 2019-09-01 (49 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 04f2:b541 Chicony Electronics Co., Ltd Integrated Camera
 Bus 001 Device 003: ID 8087:0025 Intel Corp.
 Bus 001 Device 002: ID 138a:0090 Validity Sensors, Inc. VFS7500 Touch Fingerprint Sensor
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 20FW003KMC
Package: linux (not installed)
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-18-generic root=UUID=748b063b-2449-481c-893e-f6026facd28a ro noibrs noibpb nopti nospectre_v2 nospectre_v1 l1tf=off nospec_store_bypass_disable no_stf_barrier mds=off mitigations=off quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.3.0-18.19-generic 5.3.1
RelatedPackageVersions:
 linux-restricted-modules-5.3.0-18-generic N/A
 linux-backports-modules-5.3.0-18-generic N/A
 linux-firmware 1.183
Tags: eoan
Uname: Linux 5.3.0-18-generic x86_64
UpgradeStatus: Upgraded to eoan on 2019-10-17 (3 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 04/30/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: R07ET89W (2.29 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20FW003KMC
dmi.board.vendor: LENOVO
dmi.board.version: 0B98417 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrR07ET89W(2.29):bd04/30/2019:svnLENOVO:pn20FW003KMC:pvrThinkPadT460p:rvnLENOVO:rn20FW003KMC:rvr0B98417WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T460p
dmi.product.name: 20FW003KMC
dmi.product.sku: LENOVO_MT_20FW_BU_Think_FM_ThinkPad T460p
dmi.product.version: ThinkPad T460p
dmi.sys.vendor: LENOVO

lotuspsychje (lotuspsychje) wrote :

Thank you for filing this bug and making ubuntu better!

Please in the future use ubuntu-big bugID to add relevant information about your system
into the bug, so developers can debug more easy
in this stage you can still: apport-collect bugID to collect your info into the existing bug.

lotuspsychje (lotuspsychje) wrote :

ubuntu-bug bugID ^

otheos (ubuntu-otheos) wrote :

More testing:
IUb
No fix, I have tried different firmwares, no difference.
This is a kernel 5.3 issue as it occurs in both Ubuntu 19.10 and Fedora 31, but not in earlier versions (Ubuntu 19.04 and Fedora 30 respectively).

It is mostly affected when connected to 5GHz wifi, either 40Mhz or 80Mhz. There are bug reports at kernel.org too. It appears 5.3 doesn't work with the 9260.

Paul White (paulw2u) on 2019-10-20
affects: ubuntu → linux (Ubuntu)
tags: added: eoan

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1848921

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I have tried https://launchpad.net/~vicamo/+archive/ubuntu/backport-iwlwifi-dkms

and so far this works well. I will report back.

This is dmesg | grep wifi

[ 3.654954] Loading modules backported from iwlwifi
[ 3.654954] iwlwifi-stack-public:master:8042:654c426c
[ 3.717587] iwlwifi 0000:03:00.0: enabling device (0000 -> 0002)
[ 3.721883] iwlwifi 0000:03:00.0: Direct firmware load for iwl-dbg-cfg.ini failed with error -2
[ 3.723695] iwlwifi 0000:03:00.0: Found debug destination: EXTERNAL_DRAM
[ 3.723697] iwlwifi 0000:03:00.0: Found debug configuration: 0
[ 3.723956] iwlwifi 0000:03:00.0: loaded firmware version 46.6bf1df06.0 op_mode iwlmvm
[ 3.789444] iwlwifi 0000:03:00.0: Detected Intel(R) Wireless-AC 9260 160MHz, REV=0x324
[ 3.814478] iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
[ 3.814868] iwlwifi 0000:03:00.0: Allocated 0x00400000 bytes for firmware monitor.
[ 3.856617] iwlwifi 0000:03:00.0: base HW address: 64:5d:86:92:e2:d5
[ 3.938234] iwlwifi 0000:03:00.0 wlp3s0: renamed from wlan0
[ 5.081175] iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
[ 5.194891] iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
[ 5.262019] iwlwifi 0000:03:00.0: FW already configured (0) - re-configuring

I am not sure about the third line, but so far it works. I will keep testing.

Thank you.

You-Sheng Yang (vicamo) on 2019-10-21
tags: added: ubuntu-certified
You-Sheng Yang (vicamo) wrote :

If you mean:

  iwlwifi 0000:03:00.0: Direct firmware load for iwl-dbg-cfg.ini failed with error -2

then it's an debug config that Intel developers may use, so it's fine to live with that not-found error.

The next question is how can we get this fixed in Eoan/Disco/Bionic. Since I don't have a ThinkPad T460p at hand, do you think you can help find out the mandatory fix for this adapter by recompile/bisect dkms source? The source can be found in https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/ubuntu/eoan .

otheos (ubuntu-otheos) wrote :

Thanks for that.

I can confirm that the dkms backport works so far. Not a single issue with 5.3.0-18.

You don't need a T460p for it. My son's T480s with the same wifi card, and other reports about the same wifi card (intel 9260) and kernel 5.3 confirm it is a kernel vs. 9260 issue.

I am not very technical with code but I have compiled (whole distros when I was younger), so I could follow instructions.

But I think this should be explored further to a 9260 issue with kernel 5.3

otheos (ubuntu-otheos) wrote :

Sadly the previous statement is wrong.

The backport mentioned does NOT solve the issue.

Sometimes the system will boot up and work fine with the backport and kernel 5.3.0-19-generic
Sometimes the system will boot and the problem will manifest again.

As such this is still a big problem as it renders the system unresponsive and requires a hard reboot, and I have now found myself booting from my USB ChromeOS to be able to work.

So please mark this as NOT fixed. Thank you.

You-Sheng Yang (vicamo) on 2019-10-28
summary: - iwlwifi firmware crashes intel 9260ac
+ iwlwifi firmware crashes intel 9260ac [8086:2526] subsystem [8086:0010]
You-Sheng Yang (vicamo) wrote :

@otheos, could you help collect logs when the system becomes unresponsive? You can paste the dmesg of the last boot after rebooting.

I cannot find same hw for test, so it would be on your own. You might want to file a bug on https://bugzilla.kernel.org/ concurrently.

otheos (ubuntu-otheos) wrote :

Thanks.

The message when unresponsive is the same as the original posted at the beginning.

As for hardware, I have two systems with the 9260ac, no other common components, both have the same issue.

This is a problem with kernel 5.3 and the 9260ac chip. It never happened with previous kernels. Booting to 5.0.32 (left over from ubuntu 19.04) does not cause this.

Thanks.

Lars Gebraad (larsgebraad-u) wrote :

I'd like to add that this bug also occurs exactly as described (full system freeze when heavy traffic begins) on Pop!_OS 19.10 with kernel 5.3 and the 9260ac.

Pop!_OS 19.10 x86_64
Dell Precision 5530
5.3.0-19-generic

lspci -nnv output:

3b:00.0 Network controller [0280]: Intel Corporation Wireless-AC 9260 [8086:2526] (rev 29)
        Subsystem: Intel Corporation Wireless-AC 9260 [8086:4010]
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at ed300000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [80] MSI-X: Enable+ Count=16 Masked-
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] L1 PM Substates
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi

If you'd like other details, let me know.

You-Sheng Yang (vicamo) wrote :

@Lars Gebraad, I got Intel Corporation Wireless-AC 9260 [8086:4010]. How do you reproduce this bug with heavy traffic exactly?

otheos (ubuntu-otheos) wrote :
Download full text (14.2 KiB)

Here's a fresh one:

Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Microcode SW error detected. Restarting 0x0.
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000040, count: 6
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Loaded firmware version: 46.6bf1df06.0
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x000022CE | ADVANCED_SYSASSERT
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0590A2F0 | trm_hw_status0
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000000 | trm_hw_status1
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0048853E | branchlink2
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00479392 | interruptlink1
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000000 | interruptlink2
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0000012C | data1
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000000 | data2
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x04000000 | data3
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x47C01D18 | beacon time
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0xE6D232B3 | tsf low
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000037 | tsf hi
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000000 | time gp1
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0xEFAD9254 | time gp2
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000001 | uCode revision type
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0000002E | uCode version major
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x6BF1DF06 | uCode version minor
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000321 | hw version
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00489004 | board version
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0000001C | hcmd
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0xA7F93840 | isr0
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x000C0000 | isr1
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00001802 | isr2
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x404155DD | isr3
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000000 | isr4
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00A90400 | last cmd Id
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00018802 | wait_event
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00004288 | l2p_control
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x00000020 | l2p_duration
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x000003BF | l2p_mhvalid
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x000000EF | l2p_addr_match
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x0000000D | lmpm_pmg_sel
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x08081424 | timestamp
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: 0x15401818 | flow_handler
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
Oct 31 19:35:40 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000040, count: 7
Oct 31 19:35:40 weywot kernel: i...

Geoffrey Lehée (toxinu) wrote :

Same error here with Ubuntu 19.10 / Intel 9260. Never happened before (Ubuntu 19.04).

You-Sheng Yang (vicamo) wrote :

@Geoffrey, the error dumps are similar, but they're not the same. Please file a new bug instead.

Akshay (apubuntu) wrote :

I am having the same problem, wifi adapter not detected Ubuntu 19.10 / Intel 9260.
[ 4.778071] Loading modules backported from iwlwifi
[ 4.778073] iwlwifi-stack-public:master:8042:654c426c
[ 4.931110] iwlwifi 0000:73:00.0: enabling device (0000 -> 0002)
[ 5.297929] iwlwifi: probe of 0000:73:00.0 failed with error -110

How can I use the dkms backport (commands)?

Download full text (19.0 KiB)

@Akshay, please try
https://launchpad.net/~vicamo/+archive/ubuntu/backport-iwlwifi-dkms

Akshay <email address hidden> 於 2019年11月13日 週三 08:30 寫道:

> I am having the same problem, wifi adapter not detected Ubuntu 19.10 /
> Intel 9260.
> [ 4.778071] Loading modules backported from iwlwifi
> [ 4.778073] iwlwifi-stack-public:master:8042:654c426c
> [ 4.931110] iwlwifi 0000:73:00.0: enabling device (0000 -> 0002)
> [ 5.297929] iwlwifi: probe of 0000:73:00.0 failed with error -110
>
> How can I use the dkms backport (commands)?
>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1848921
>
> Title:
> iwlwifi firmware crashes intel 9260ac [8086:2526] subsystem
> [8086:0010]
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 19.10
> Kernel 5.3.0-18-generic
> Hardware: Thinkpad T460p (also tested on T480s) with Intel 9260ac wifi
> card.
>
> Expected: Wifi connects, uploads/downloads as normal
>
> Symptom: Wifi connects, as soon as an upload/download (any heavy
> traffic) start, the system comes to a crawl, becomes barely usable,
> and I end up opening a prompt to reboot.
>
> The system is unusable. This happens even with the Live USB version.
>
> The only solution I found was to download a different (newer) firmware.
> Latest version from:
> https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi
>
> This is iwlwifi-9260-th-b0-jf-b0-34.618819.0.tgz
>
> I then manually copy the contained firmware to /lib/firmware, remove
> all other versions and make a link to iwlwifi-9260-th-b0-jf-46.ucode
> that the kernel expects to load.
>
> This completely resolves the issue.
>
> This is the carsh log (Thinkpad T460p, but identical to T480s, all fresh
> installs):
> --------------------------------
> Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: Error sending
> SCAN_CFG_CMD: time out after 2000ms.
> Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: Current CMD queue
> read_ptr 64 write_ptr 65
> Oct 20 01:51:13 weywot kernel: iwlwifi 0000:03:00.0: HW error, resetting
> before reading
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log
> Dump:
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000080,
> count: 609870115
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: Loaded firmware
> version: 46.6bf1df06.0
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x36BC8FCF |
> ADVANCED_SYSASSERT
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x28A5819E |
> trm_hw_status0
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x77944CFA |
> trm_hw_status1
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x018004F5 |
> branchlink2
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xEBCFC5F1 |
> interruptlink1
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x07206003 |
> interruptlink2
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xE956CDF4 | data1
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0x7D692903 | data2
> Oct 20 01:51:16 weywot kernel: iwlwifi 0000:03:00.0: 0xAD22F469 | d...

otheos (ubuntu-otheos) wrote :
Download full text (31.2 KiB)

More recent output:
Nov 14 22:24:29 weywot kernel: Loading modules backported from iwlwifi
Nov 14 22:24:29 weywot kernel: iwlwifi-stack-public:master:8042:654c426c
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: enabling device (0000 -> 0002)
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Direct firmware load for iwl-dbg-cfg.ini failed with error -2
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Found debug destination: EXTERNAL_DRAM
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Found debug configuration: 0
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: loaded firmware version 46.6bf1df06.0 op_mode iwlmvm
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Detected Intel(R) Wireless-AC 9260 160MHz, REV=0x324
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: Allocated 0x00400000 bytes for firmware monitor.
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0: base HW address: 64:5d:86:92:e2:d5
Nov 14 22:24:29 weywot kernel: ieee80211 phy0: Selected rate control algorithm 'iwl-mvm-rs'
Nov 14 22:24:29 weywot kernel: iwlwifi 0000:03:00.0 wlp3s0: renamed from wlan0
Nov 14 22:24:29 weywot sensors[851]: iwlwifi-virtual-0
Nov 14 22:24:30 weywot NetworkManager[803]: <info> [1573770270.1161] rfkill2: found Wi-Fi radio killswitch (at /sys/devices/pci0000:00/0000:00:1c.0/0000:03:00.0/ieee80211/phy0/rfkill2) (driver iwlwifi)
Nov 14 22:24:30 weywot kernel: iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
Nov 14 22:24:30 weywot kernel: iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
Nov 14 22:24:30 weywot kernel: iwlwifi 0000:03:00.0: FW already configured (0) - re-configuring
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: Error sending CMD_DTS_MEASUREMENT_TRIGGER_WIDE: time out after 2000ms.
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: Current CMD queue read_ptr 212 write_ptr 213
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: HW error, resetting before reading
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: Start IWL Error Log Dump:
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: Status: 0x00000040, count: 626123043
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: Loaded firmware version: 46.6bf1df06.0
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0xB6B4CDDE | ADVANCED_SYSASSERT
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x282D099A | trm_hw_status0
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0xF792CCFA | trm_hw_status1
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x118004F5 | branchlink2
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0xEBCFE5F1 | interruptlink1
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x07206087 | interruptlink2
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0xE116C9F4 | data1
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x65602807 | data2
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0xED22F469 | data3
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x1040800E | beacon time
Nov 14 22:25:10 weywot kernel: iwlwifi 0000:03:00.0: 0x07F6857F | tsf low
Nov 14 22:25:10 w...

otheos (ubuntu-otheos) wrote :
Download full text (20.4 KiB)

Then, right after one more of the above:

Nov 14 22:31:21 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
Nov 14 22:31:21 weywot kernel: iwlwifi 0000:03:00.0: 0xA5A5A5A2 | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
Nov 14 22:31:21 weywot kernel: iwlwifi 0000:03:00.0: Collecting data: trigger 2 fired.
Nov 14 22:31:21 weywot kernel: ieee80211 phy0: Hardware restart was requested
Nov 14 22:31:24 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=25481 end=25482) time 3617 us, min 1430, max 1439, scanline start 1133, end 1427
Nov 14 22:31:24 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=25496 end=25497) time 4719 us, min 1430, max 1439, scanline start 1398, end 263
Nov 14 22:31:27 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=25655 end=25656) time 2791 us, min 1430, max 1439, scanline start 1295, end 1520
Nov 14 22:31:27 weywot pkexec[8759]: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Nov 14 22:31:27 weywot pkexec[8759]: otheos: Executing command [USER=root] [TTY=unknown] [CWD=/home/otheos] [COMMAND=/usr/bin/cpufreqctl --irqbalance]
Nov 14 22:31:28 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=25739 end=25740) time 2354 us, min 1430, max 1439, scanline start 1337, end 1522
Nov 14 22:31:37 weywot pkexec[8809]: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Nov 14 22:31:37 weywot pkexec[8809]: otheos: Executing command [USER=root] [TTY=unknown] [CWD=/home/otheos] [COMMAND=/usr/bin/cpufreqctl --on --core=1]
Nov 14 22:31:39 weywot xdg-desktop-por[1399]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: App introspection not allowed
Nov 14 22:31:39 weywot pkexec[8822]: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Nov 14 22:31:39 weywot pkexec[8822]: otheos: Executing command [USER=root] [TTY=unknown] [CWD=/home/otheos] [COMMAND=/usr/bin/cpufreqctl --on --core=2]
Nov 14 22:31:39 weywot pkexec[8836]: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Nov 14 22:31:39 weywot pkexec[8836]: otheos: Executing command [USER=root] [TTY=unknown] [CWD=/home/otheos] [COMMAND=/usr/bin/cpufreqctl --on --core=3]
Nov 14 22:31:40 weywot kernel: [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=26467 end=26468) time 2420 us, min 1430, max 1439, scanline start 1234, end 1451
Nov 14 22:31:41 weywot pkexec[8852]: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Nov 14 22:31:41 weywot pkexec[8852]: otheos: Executing command [USER=root] [TTY=unknown] [CWD=/home/otheos] [COMMAND=/usr/lib/update-notifier/package-system-locked]
Nov 14 22:31:41 weywot update-notifier.desktop[3571]: /var/lib/dpkg/lock:
Nov 14 22:31:49 weywot kernel: watchdog: BUG: soft lockup - CPU#1 stuck for 24s! [kworker/1:3:888]
Nov 14 22:31:49 weywot kernel: Modules linked in: hid_generic uhid hid algif_hash algi...

otheos (ubuntu-otheos) wrote :

All this while trying to run apt upgrade (250MB download).
Thank you.

phantomatlas (vovchyk-bratyk) wrote :

Another AC9260 user here, Dell XPS-15 9570, same exact issue as original poster.

otheos (ubuntu-otheos) wrote :

Here's an update. The problem persists with 5.3.0.24 (and with Pop_os 5.3.0-7625).

However, I have noticed that after a few days of use, without any further change, the problem disappears. Until I boot to Windows. After that, the problem appears again, stronger than ever.

Now this may explain a couple of observations. Maybe the problem is a result of some setting Windows does to the adapter through their driver, that persists when linux boots and doesn't work very well. Maybe once this setting is undone after a number of linux boot ups (and no windows), the problem goes away until Windows boots up and restarts the whole chain of events.

Also maybe this explains why some people (who don't dual boot) don't have the issue at all.

Sorry for the lack of technical description here. However the correlation between booting Windows and then Linux and the appearance of the problem is very strong. Whether that correlation also means causation is left for the more technical people to address.

Thank you.

Daniel (brokencog) wrote :

I've been having the same problem, the workaround I have is to use older firmware.

download:

https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/snapshot/linux-firmware-e58cbf78678fd872d0cf7ab858ba0030cd8695b0.tar.gz

and install the ./iwlwifi-9260-th-b0-jf-b0-34.ucode blob to /lib/firmware

I have also added an /etc/modprobe.d/wifi.conf with the following:
options iwlmvm power_scheme=1
options iwlwifi swcrypto=0 bt_coex_active=0 power_save=0 11n_disable=1

However I know that none of them except the 11n_disable option actually fixed the problem -- disabling the 11n setting MIGHT be a workaround as well, however I haven't tested with the broken firmware to know. [the reason is because other bug reports have confirmed the older firmware alone fixes the issue].

Daniel (brokencog) wrote :

I've been having the same problem, the workaround I have is to use older firmware.

download:

https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/snapshot/linux-firmware-e58cbf78678fd872d0cf7ab858ba0030cd8695b0.tar.gz

and install the ./iwlwifi-9260-th-b0-jf-b0-34.ucode blob to /lib/firmware

I have also added an /etc/modprobe.d/wifi.conf with the following:
options iwlmvm power_scheme=1
options iwlwifi swcrypto=0 bt_coex_active=0 power_save=0 11n_disable=1

However I know that none of them except the 11n_disable option actually fixed the problem -- disabling the 11n setting MIGHT be a workaround as well, however I haven't tested with the broken firmware to know. [the reason is because other bug reports have confirmed the older firmware alone fixes the issue].

Daniele Conti (dnlcnt) wrote :

I can confirm just disabling the 11n setting does indeed work as a workaround, tried on an XPS 15 9570 with that WiFi card.

P dawg (plato1123) wrote :

I've seen this problem too. I purchased a Lenovo ideapad 730s that has the 9260 wifi chipset and it was unusable with ubuntu 19.10, any significant internet download would cause the pointer to freeze and the entire system to come to a halt (but resume working again after 30-45 seconds). I couldn't complete a speedtest.com speed test because the entire system will completely free and the test would fail. A buddy at work who has the same model said he had the problem too (with fedora, not sure which kernel). I installed 19.04 instead and mentioned to him 19.04 works great for me, but he told me even under 19.04 eventually an update will break the wifi and cause this halting behavior and sure enough, after 19.04 worked for weeks and weeks today suddenly I started having the same freezing behavior under 19.04, whenever I do any significant internet activity the entire system halts for 30 or so seconds, mouse pointer disappears and everything.

I copied iwlwifi-9260-th-b0-jf-b0-34.ucode to /lib/firmware but that didn't seem to do anything, maybe there's something I need to do to install it? When I type modinfo iwlwifi |grep 9260
I get
firmware: iwlwifi-9260-th-b0-jf-b0-46.ucode

so maybe it's still using the buggy broken one.

It does seem like I can work around by adding the lines above that include 11n_disable=1 although download performance is pretty poor, 30mg down instead of 300mg down that I was seeing for weeks while it was working. This is such a common chipset, it's frustrating that there's still no real fix for it.

phantomatlas (vovchyk-bratyk) wrote :

I am using OpenSUSE Tumbleweed on this platform and the AC9260 works flawlessly. It wakes after sleep, reconnects without issue, performs excellently on standard WiFi or 5G alike, over sustained sessions. Curiously, it is using the exact same set of firmware files under kernel 5.3.

To me, this means that it is something particular to Ubuntu and its downstream variants.

Nader Nooryani (nooryani84) wrote :

I have a Lenovo Yoga S730 (marketed as Lenovo ideapad 730s in the US, mine is European) with the 9260 card and I can confirm that the same issue affects me.

The wifi works fine in Windows 10. The only way I've managed to resolve the issue is by adding 11n_disable=1, but this caps my speed to 54mb which is too much of a compromise.

Matthias (matthi) wrote :

Seems that a patch has been finally submitted: https://<email address hidden>/t/

Upstream bug report is at https://bugzilla.kernel.org/show_bug.cgi?id=204873 and https://bugzilla.kernel.org/show_bug.cgi?id=205001 (the latter one including a git bisect).

Can this patch be backported?

Matthias (matthi) wrote :

See https://patchwork.kernel.org/patch/11270795/ if above link does not work because you are not logged in.

otheos (ubuntu-otheos) wrote :

Latest kernel solves this for 19.10. Tested on both my systems. As far as I'm concerned this should be marked resolved. Hopefully we'll keep it that way in the future. Thanks everyone for all your help, and the developers for sorting this out. Much appreciated.

Hairong Zhu (hrzhu) wrote :

Apparently, 5.4.16 with the above patch included solves the problem. Before this patch, performing a speedtest.net test or downloading a large file almost guarantees to reproduce the problem. Please backport the patch to Ubuntu's 5.3 kernel.

Michael (mxmaster) wrote :

I am using a Thinkpad E490 with the Intel 9260 wireless card, Kubuntu 19.10 and kernel 5.3.0-29-generic.

05:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)

I have tried several iwlwifi module options (11n_disable=1, 11n_disable=8, power_save=0, bt_coex_active=0, lar_disable=1, swcrypto=0), older firmwares, as well as the dkms backport module. I have tested nearly all variations and the error did not disappear.

This is what I can summarize:

The error occurs after booting Windows (Fast Boot is disabled - which has no positive effect) and then booting Linux afterwards.
The error is quickly reproducible using speedtest.net (thanks @Hairong Zhu (hrzhu)) or transferring a larger file of any kind.

The ONLY solution to the problem in my case is:
Shutting the system down and removing the power adapter. Then boot Linux and the error is gone (no module options, current firmware iwlwifi-9260-th-b0-jf-b0-46.ucode, kernel 5.3.0-29-generic).

Never boot from Windows to Linux without powering down completely, then you should be fine until a fix is available.

You-Sheng Yang (vicamo) on 2020-04-06
tags: added: hwe-networking-wifi
otheos (ubuntu-otheos) wrote :

This is still NOT FIXED!!!

Kernel: 5.3.0-46-generic

After a restart from Windows the problem is persistent. It may take a complete shutdown, maybe a couple for restarts from Ubuntu back to Ubuntu before it stops.

This was not a problem in 5.2 It is a huge failure of the kernel team and the driver supplier to have this issue.

We run 90 laptops with the 9260 wifi, all on ubuntu, all users are using more Windows as a result.

Please have a serious look into this. Clearly dual boot systems suffer more than ubuntu-only systems. The fact that the issue is more prominent (or always present) after a restart from Windows indicates that some settings from Windows persists in Linux and makes the driver crash.

Any laptop with the 9260 can reproduce this issue, please have a look.

Daniele Conti (dnlcnt) wrote :

My brother had this problem solved in the next Ubuntu release (20.04) (probably due to the fact the kernel version is 5.4+)

Nikita Seleznev (neseleznev) wrote :

I'm sorry that I am not your brother, since I've updated to dev Ubuntu 20.04 and still face the same issue.
After trying all meaningful ways to fix the problem (switch kernel, switch firmware), now I have to get rid of 9260 and use USB Wi-Fi dongle. Amaizing.

$ uname -a
Linux nikita-home 5.4.0-24-generic #28-Ubuntu SMP Thu Apr 9 22:16:42 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Wouter Blancquaert (blancqua) wrote :

I can confirm I'm also suffering from this using Ubuntu 20.04.

$ uname -a
Linux be1lxl-110643 5.4.0-26-generic #30-Ubuntu SMP Mon Apr 20 16:58:30 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Manually downloading the firmware as mentioned in the description and sym-linking resolves the issue for me.

$ ls -l /lib/firmware/iwlwifi-9260-*
-rw-r--r-- 1 root root 2637216 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-33.ucode
-rw-r--r-- 1 root root 2677772 dec 19 2017 iwlwifi-9260-th-b0-jf-b0-34.ucode -> DOWNLOADED
-rw-r--r-- 1 root root 2678092 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-34.ucode.bck -> ORIGINAL
-rw-r--r-- 1 root root 2521412 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-38.ucode
-rw-r--r-- 1 root root 2620656 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-41.ucode
-rw-r--r-- 1 root root 2558176 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-43.ucode
lrwxrwxrwx 1 root root 33 apr 28 18:45 iwlwifi-9260-th-b0-jf-b0-46.ucode -> iwlwifi-9260-th-b0-jf-b0-34.ucode -> CREATED SYMLINK
-rw-r--r-- 1 root root 1463820 mrt 19 17:37 iwlwifi-9260-th-b0-jf-b0-46.ucode.bck - ORIGINAL

Horst Baerbel (horstbaerbel) wrote :
Download full text (4.7 KiB)

Same problem on 19.10 and kernel 5.3.0-51-generic. It worked until the last kernel upgrade I did yesterday...

demsg output:
[ 2561.077694] ieee80211 phy0: Hardware restart was requested
[ 2562.025423] iwlwifi 0000:0a:00.0: Applying debug destination EXTERNAL_DRAM
[ 2562.140082] iwlwifi 0000:0a:00.0: Applying debug destination EXTERNAL_DRAM
[ 2562.204742] iwlwifi 0000:0a:00.0: FW already configured (0) - re-configuring
[ 2568.784674] iwlwifi 0000:0a:00.0: Microcode SW error detected. Restarting 0x0.
[ 2568.784789] iwlwifi 0000:0a:00.0: Start IWL Error Log Dump:
[ 2568.784791] iwlwifi 0000:0a:00.0: Status: 0x00000080, count: 6
[ 2568.784793] iwlwifi 0000:0a:00.0: Loaded firmware version: 46.6bf1df06.0
[ 2568.784795] iwlwifi 0000:0a:00.0: 0x00004435 | ADVANCED_SYSASSERT
[ 2568.784796] iwlwifi 0000:0a:00.0: 0x008026F4 | trm_hw_status0
[ 2568.784798] iwlwifi 0000:0a:00.0: 0x00000000 | trm_hw_status1
[ 2568.784799] iwlwifi 0000:0a:00.0: 0x0048853E | branchlink2
[ 2568.784800] iwlwifi 0000:0a:00.0: 0x00479392 | interruptlink1
[ 2568.784802] iwlwifi 0000:0a:00.0: 0x00000000 | interruptlink2
[ 2568.784803] iwlwifi 0000:0a:00.0: 0x00008097 | data1
[ 2568.784804] iwlwifi 0000:0a:00.0: 0xDEADBEEF | data2
[ 2568.784805] iwlwifi 0000:0a:00.0: 0xDEADBEEF | data3
[ 2568.784806] iwlwifi 0000:0a:00.0: 0x10401C93 | beacon time
[ 2568.784808] iwlwifi 0000:0a:00.0: 0xDF564B74 | tsf low
[ 2568.784809] iwlwifi 0000:0a:00.0: 0x0000002F | tsf hi
[ 2568.784810] iwlwifi 0000:0a:00.0: 0x00000000 | time gp1
[ 2568.784811] iwlwifi 0000:0a:00.0: 0x0064C9EE | time gp2
[ 2568.784813] iwlwifi 0000:0a:00.0: 0x00000001 | uCode revision type
[ 2568.784814] iwlwifi 0000:0a:00.0: 0x0000002E | uCode version major
[ 2568.784815] iwlwifi 0000:0a:00.0: 0x6BF1DF06 | uCode version minor
[ 2568.784817] iwlwifi 0000:0a:00.0: 0x00000321 | hw version
[ 2568.784818] iwlwifi 0000:0a:00.0: 0x00C89004 | board version
[ 2568.784819] iwlwifi 0000:0a:00.0: 0x0BE4001C | hcmd
[ 2568.784820] iwlwifi 0000:0a:00.0: 0x80022002 | isr0
[ 2568.784822] iwlwifi 0000:0a:00.0: 0x00000000 | isr1
[ 2568.784823] iwlwifi 0000:0a:00.0: 0x08001802 | isr2
[ 2568.784824] iwlwifi 0000:0a:00.0: 0x404174C4 | isr3
[ 2568.784825] iwlwifi 0000:0a:00.0: 0x00000000 | isr4
[ 2568.784826] iwlwifi 0000:0a:00.0: 0x8187009D | last cmd Id
[ 2568.784828] iwlwifi 0000:0a:00.0: 0x0001ACA2 | wait_event
[ 2568.784829] iwlwifi 0000:0a:00.0: 0x00000094 | l2p_control
[ 2568.784830] iwlwifi 0000:0a:00.0: 0x00002020 | l2p_duration
[ 2568.784831] iwlwifi 0000:0a:00.0: 0x0000000F | l2p_mhvalid
[ 2568.784833] iwlwifi 0000:0a:00.0: 0x00000004 | l2p_addr_match
[ 2568.784834] iwlwifi 0000:0a:00.0: 0x0000000D | lmpm_pmg_sel
[ 2568.784835] iwlwifi 0000:0a:00.0: 0x08081424 | timestamp
[ 2568.784836] iwlwifi 0000:0a:00.0: 0x0000B81C | flow_handler
[ 2568.784904] iwlwifi 0000:0a:00.0: Start IWL Error Log Dump:
[ 2568.784905] iwlwifi 0000:0a:00.0: Status: 0x00000080, count: 7
[ 2568.784906] iwlwifi 0000:0a:00.0: 0x20000070 | NMI_INTERRUPT_LMAC_FATAL
[ 2568.784908] iwlwifi 0000:0a:00.0: 0x00000000 | umac branchlink1
[ 2568.784909] iwlwifi 0000:0a:00.0: 0xC008888E | umac branchlink2
[ 2568.784910] iwlwifi 0000:0a:00.0: 0xC0084414 | umac interru...

Read more...

Horst Baerbel (horstbaerbel) wrote :

Switching on eoan-proposed fixes it for me. This removes the iwlwifi-9260-th-b0-jf-b0-46.ucode file and updates the kernel to 5.3.0-52. backport-iwlwifi-dkms is still at 7906, so not sure where the fix is, but it will do for now...

paoletto (paoletto) wrote :

i can confirm this bug in 20.04 as well.
Trying to figure out the workaround for now. Not sure what eoan-proposed is, and the fw on the intel page is version .34, while in /lib/firmware is .46, so not sure that is gonna help

Horst Baerbel (horstbaerbel) wrote :

I have to correct myself. Switching on ubuntu-proposed packages did NOT help, it was switching to 2.4GHz that made the WiFi crash less often... What really helps is creating a link from the -46 to the -43 firmware as mentioned in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1848921/comments/53

paoletto (paoletto) wrote :

In that comment the link is from -46 to the downloaded -34?

paoletto (paoletto) wrote :

5.4.0-29-generic seems so far to improve the situation a little.
It takes longer for the driver to crash, but it eventually does.

Horst Baerbel (horstbaerbel) wrote :

@paletto: Yes, I know. But I had the -43 version installed as the first version lower than -46 and that one is working fine for me atm. I had some messages "iwlwifi 0000:0a:00.0: Unhandled alg: 0x707" during bootup, but WiFi is working fine for me at 2.4 and 5GHz. I'm at kernel 5.3.0-52-generic now due to enabling the ubuntu-proposed repo, but this did NOT fix the WiFi behaviour - it was definitely downgrading the firmware to -43.

paoletto (paoletto) wrote :

I tried, with kernel 5.4.0-28 from 20.04, to downgrade to -43 (and, fwiw, also to 41 and 38, after which i stopped as none was working), but no luck for me. I might try to boot 5.3.0 which i still have to check if that helps at all..

Zed Freejack (zed-freejack) wrote :

My machine is a Dell XPS 15 9570 with an Intel Wireless-AC 9260.
Worked fine with Kubuntu 19.04 and 19.10. Later on on 19.10 (I believe 5.3.0-51-generic) I got loads of hang ups and Wifi drop outs (seconds to minutes). Thought it was the swappines problem or the wifi problem of the kernel. Was adventurous and upgraded to Kubuntu 20.04 pretty early. Wifi went from bad to terrible to not usable (5.4.0-28-generic)

A few days ago installed the mainline kernel following this instruction.
How to upgrade kernel to latest version on Ubuntu 20.04 Focal Fossa Linux
https://linuxconfig.org/how-to-upgrade-kernel-to-latest-version-on-ubuntu-20-04-focal-fossa-linux

Because the kernel is not signed I had to disable secure boot in the UEFI. Got to sign the kernel later on...

Now running 5.6.7-050607-generic since a few days and am quite happy. Snappy system, reliable WiFi. Fingers crossed.

paoletto (paoletto) wrote :

thanks for the feedback Zed, i will give this a shot.
It's so sad to see how laggy canonical is in fixing such a serious bugs, but also how careless in introducing regressions such as this one.
I believe these wireless cards are extremely widespread, so i wonder how it's possible not to catch such a regression?

paoletto (paoletto) wrote :

the last proposed solution is not fixing the problem at least for me, running:
Linux 5.6.11-050611-generic
Loaded firmware version: 46.6bf1df06.0 9000-pu-b0-jf-b0-46.ucode

P dawg (plato1123) wrote :

Upgrading to 20.04 from 19.10 fixed this for me.

paoletto (paoletto) wrote :

Update: i tried again 20.04 live, and, with kernel 5.4.0-26, wifi seems to work alright.
So i installed 5.4.0-26 (i believe it was already replaced by -28 upon installation), but by doing so the wifi HW isn't even recognized, with dmesg looking for microcode. I'll keep investigating how does 20.04 live do it

paoletto (paoletto) wrote :

Problem seems fixed in 5.4.0-26 with hwe package, loading .46 firmware.
So regression introduced in -28 and -29.

paoletto (paoletto) wrote :

Adding that after about half hour i'm still getting
[ 1923.231089] iwlwifi 0000:00:14.3: Unhandled alg: 0x71b

Usually a crash follows. So it might follow. But at least i have transfered a wholly different amount of data in the meanwhile. -28 and -29 would be crashing after 2 min or so.

paoletto (paoletto) wrote :

got the driver crash now, after 2 days. so problem isn't fixed in -26, but it works better

Carcalac (carcalacus) wrote :

i have the Atomic update issue but the wifi adapter is different(Hp pavilion 15-cs30004nq) . for me one of the cores goes 100% after the alarm. had this baad on 19.04 3/4 times a day way better now in 20.4 once every 3 days maybe.

paoletto (paoletto) wrote :

got the driver crash now, after 2 days. so problem isn't fixed in -26.
I also think i found out how to reproduce: The problem happens basically immediately when connecting a BB10 device (Z10) to the machine with wifi access point mode activated.

other devices (iOS, xperia) seem to only trigger sporadic Unhandled alg: 0x707 error but the driver keeps going

Zed Freejack (zed-freejack) wrote :

Update after running 5.6.7-050607-generic for more time now.
Despite my initial enthusiasm, I cannot recommend updating to 5.6.7-050607-generic wholeheartedly. The wifi and the system is snappy, but the fans are running 24/7 and when running form battery the battery life time is not good. Estimated a third of the time from the good old times of Kubuntu 19.04... Investigations with tlp/powertop show a lot of power consumption from "Network interface: wlp59s0 (iwlwifi)" and "btusb" on light work load.

I am on 20.04, kernel "5.4.0-33-generic".
I also see this problem.
The easiest way to trigger it is to run an ADSL speed test, then the system freezes at random for several seconds and the iwlwifi log messages are the same as the initial bug report.

I had the problem in the past on 19.10, kept it at bay sticking to a 5.0 kernel kept from a 19.04 install.

After months the problem went away, it's not clear with which kernel. I just booted on a new kernel by mistake and the system worked properly.

A few days ago the problem resurfaced on 19.10, and my old 5.0 kernel was not working anymore.
Sometimes I stay weeks or months without rebooting...

I tried upgrading to 20.04 but it did not help.

I tried fresh installs of Fedora 32 and Ubuntu 20.04, and in both cases the live boot did not have the issue but the system after install did, but *mostly* after enabling Nvidia drivers.
My problem is that I need CUDA so Nvidia drivers are a must for me.

What is working now is symlinking "iwlwifi-9260-th-b0-jf-b0-46.ucode" to "iwlwifi-9260-th-b0-jf-b0-34.ucode" as described in a previous comment.

I did not even have to download "iwlwifi-9260-th-b0-jf-b0-34.ucode", I already had it in place.

Setting "11n_disable=1" made the issue smaller but did not eliminate it, and the resulting network slowdown was unacceptable.
Trying "backport-iwlwifi-dkms" did not help either.

At this point this is a fresh install of 20.04 and the only workaround I have is the firmware downgrade.

I am available for testing experimental "backport-iwlwifi-dkms" versions if needed.

One more report.

Kernel 5.4.0-33-generic with the older "iwlwifi-9260-th-b0-jf-b0-34.ucode" firmware is not working flawlessly: it periodically disconnects starting with an error "iwlwifi 0000:05:00.0: Error sending ADD_STA: time out after 2000ms.".

Probably once per hour.
Perhaps it happens because I had to reboot into Windows this morning...

Anyway, this bug is definitely still unfixed :-/
And consider that Fedora on 5.6 is in the same boat.

Horst Baerbel (horstbaerbel) wrote :

I second that. Neither the -34 nor the -43 version fully resolve the issue. 5GHz WiFi is practically unusable. 2.4GHz mostly works with -34 and -43, but keeps disconnecting. It's not really usable.

Hairong Zhu (hrzhu) wrote :

I don't seem to have this problem on Ubuntu 18.04, 5.4.0-37 hwe-edge kernel. I don't seem to have this problem on Ubuntu 20.04 live session either. At least. speedtest can't reproduce the issue. Even tried rebooting from Windows. Those who have the problem and dual boot, could you try upgrading your Windows driver to latest and see if it helps? I once had a RTL Ethernet card issue on Linux and it ended up getting fixed by upgrading driver on Windows.

otheos (ubuntu-otheos) wrote :

Yes, I think it is related to dual booting and the source of the problem might be indeed in the Windows driver leaving a setting on the card that the fw and driver in linux cannot cope with. Rebooting to linux from Windows causes a lot of trouble, but rebooting from linux to linux solves it. (Maybe after a couple of reboots until the card resets -no idea how this works).

Emma Segal (tib-emma) wrote :

Having this problem on my newly installed Ubuntu 20.04 system. Tried using the 11n_disable=1
workaround, didn't work.
modinfo output:

$ modinfo iwlwifi | grep 9260
firmware: iwlwifi-9260-th-b0-jf-b0-46.ucode

Turning networking off and back on resets the issue, but after about half a minute, it crashes again under load.

Emma Segal (tib-emma) wrote :

Update: changing kernel to 5.4.8 fixes the issue for anyone here looking for a fix, but do so at your own risk. The latency is super high and the speeds are abysmal for me, so it's still a big problem, but it becomes usable at this point.

Sairam D (dsairam17) wrote :

This issue is fixed with kernel version 5.4.49 (current longterm kernel). I was having the exact same issue for almost 3 months. My Wifi speed used to get throttled whenever I download something or just consume more bandwidth continuously. More importantly whenever the throttling happens, the laptop also freezes for a few seconds. During these 3 months I tried several iwlwifi configurations, changed its driver versions... etc. Nothing worked.

But then updating the kernel from version 5.3.0 to 5.4.49 manually fixed the issue. Now the wifi works perfectly without any issues. I haven't faced any other issue with this kernel yet(I am on Ubuntu 18.04). Also, now I couldn't see any iwlwifi error messages getting reported in dmesg logs.

Horst Baerbel (horstbaerbel) wrote :

What ucode version are you using?

Sairam D (dsairam17) wrote :

$ modinfo iwlwifi | grep 9260
firmware: iwlwifi-9260-th-b0-jf-b0-46.ucode

$ dmesg | grep firmware
[ 14.894863] iwlwifi 0000:3b:00.0: loaded firmware version 46.6bf1df06.0 op_mode iwlmvm
[ 15.050919] iwlwifi 0000:3b:00.0: Allocated 0x00400000 bytes for firmware monitor.
[13966.871684] iwlwifi 0000:3b:00.0: Loaded firmware version: 46.6bf1df06.0

Alejandro Mery (amery) wrote :

the problem is still present on the latest 20.04 (Linux 5.4.0-40-generic)

Alejandro Mery (amery) wrote :

and btw, installing backport-iwlwifi-dkms doesn't fix it either.
it's hard to digest one need to manually upgrade the kernel when using the latest LTS or a known (and fixed upstream) bug on a very popular wifi driver will take your whole USB bus out of service

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.